dnl Process this file with autoconf to produce a configure script.

AC_INIT(lmdif.f)

dnl Every other copy of the package version number gets its value from here
AM_INIT_AUTOMAKE(minpack, 19961126)


# shared library version control
VERSION_CURRENT=1
VERSION_REVISION=0
VERSION_AGE=0

AC_SUBST(VERSION)
AC_SUBST(VERSION_CURRENT)
AC_SUBST(VERSION_REVISION)
AC_SUBST(VERSION_AGE)

dnl Checks for programs.
AC_PROG_INSTALL
AC_PROG_F77
AC_PROG_CC
AM_PROG_LIBTOOL

dnl maybe bash is not in /bin on this system
AC_PATH_PROG(bash, bash, FAIL)
if test "$bash" = "FAIL"; then
    AC_MSG_ERROR(Cannot continue: bash not found)
fi

dnl Checks for libraries.

dnl Checks for header files.

dnl Checks for typedefs, structures, and compiler characteristics.

dnl Checks for library functions.

AC_OUTPUT(Makefile)
